Package com.emc.d2fs.services.creation_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.creation_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.creation_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.creation_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApplyVdTemplateRequest`
  `createApplyVdTemplateRequest()`
  Create an instance of `ApplyVdTemplateRequest`
  `ApplyVdTemplateResponse`
  `createApplyVdTemplateResponse()`
  Create an instance of `ApplyVdTemplateResponse`
  `CreatePropertiesRequest`
  `createCreatePropertiesRequest()`
  Create an instance of `CreatePropertiesRequest`
  `CreatePropertiesResponse`
  `createCreatePropertiesResponse()`
  Create an instance of `CreatePropertiesResponse`
  `GetConvertStructureConfigRequest`
  `createGetConvertStructureConfigRequest()`
  Create an instance of `GetConvertStructureConfigRequest`
  `GetConvertStructureConfigResponse`
  `createGetConvertStructureConfigResponse()`
  Create an instance of `GetConvertStructureConfigResponse`
  `GetFilteredTemplatesRequest`
  `createGetFilteredTemplatesRequest()`
  Create an instance of `GetFilteredTemplatesRequest`
  `GetFilteredTemplatesResponse`
  `createGetFilteredTemplatesResponse()`
  Create an instance of `GetFilteredTemplatesResponse`
  `GetImportStructureConfigsRequest`
  `createGetImportStructureConfigsRequest()`
  Create an instance of `GetImportStructureConfigsRequest`
  `GetImportStructureConfigsResponse`
  `createGetImportStructureConfigsResponse()`
  Create an instance of `GetImportStructureConfigsResponse`
  `GetTemplateFilterOptionsRequest`
  `createGetTemplateFilterOptionsRequest()`
  Create an instance of `GetTemplateFilterOptionsRequest`
  `GetTemplateFilterOptionsResponse`
  `createGetTemplateFilterOptionsResponse()`
  Create an instance of `GetTemplateFilterOptionsResponse`
  `GetTemplatesRequest`
  `createGetTemplatesRequest()`
  Create an instance of `GetTemplatesRequest`
  `GetTemplatesResponse`
  `createGetTemplatesResponse()`
  Create an instance of `GetTemplatesResponse`
  `GetUIMaxSizeRequest`
  `createGetUIMaxSizeRequest()`
  Create an instance of `GetUIMaxSizeRequest`
  `GetUIMaxSizeResponse`
  `createGetUIMaxSizeResponse()`
  Create an instance of `GetUIMaxSizeResponse`
  `GetVDTemplatesRequest`
  `createGetVDTemplatesRequest()`
  Create an instance of `GetVDTemplatesRequest`
  `GetVDTemplatesResponse`
  `createGetVDTemplatesResponse()`
  Create an instance of `GetVDTemplatesResponse`
  `HasAnyAttachmentsRequest`
  `createHasAnyAttachmentsRequest()`
  Create an instance of `HasAnyAttachmentsRequest`
  `HasAnyAttachmentsResponse`
  `createHasAnyAttachmentsResponse()`
  Create an instance of `HasAnyAttachmentsResponse`
  `HasAttachmentsRequest`
  `createHasAttachmentsRequest()`
  Create an instance of `HasAttachmentsRequest`
  `HasAttachmentsResponse`
  `createHasAttachmentsResponse()`
  Create an instance of `HasAttachmentsResponse`
  `IsAFolderOrACabinetRequest`
  `createIsAFolderOrACabinetRequest()`
  Create an instance of `IsAFolderOrACabinetRequest`
  `IsAFolderOrACabinetResponse`
  `createIsAFolderOrACabinetResponse()`
  Create an instance of `IsAFolderOrACabinetResponse`
  `IsNoContentAuthorizedRequest`
  `createIsNoContentAuthorizedRequest()`
  Create an instance of `IsNoContentAuthorizedRequest`
  `IsNoContentAuthorizedResponse`
  `createIsNoContentAuthorizedResponse()`
  Create an instance of `IsNoContentAuthorizedResponse`
  `IsNoCreationProfileRequest`
  `createIsNoCreationProfileRequest()`
  Create an instance of `IsNoCreationProfileRequest`
  `IsNoCreationProfileResponse`
  `createIsNoCreationProfileResponse()`
  Create an instance of `IsNoCreationProfileResponse`
  `RemoveAttachmentsRequest`
  `createRemoveAttachmentsRequest()`
  Create an instance of `RemoveAttachmentsRequest`
  `RemoveAttachmentsResponse`
  `createRemoveAttachmentsResponse()`
  Create an instance of `RemoveAttachmentsResponse`
  `SetTemplateRequest`
  `createSetTemplateRequest()`
  Create an instance of `SetTemplateRequest`
  `SetTemplateResponse`
  `createSetTemplateResponse()`
  Create an instance of `SetTemplateResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.creation_service

- ## Method Details

  - ### createCreatePropertiesRequest

    public CreatePropertiesRequest createCreatePropertiesRequest()
    Create an instance of `CreatePropertiesRequest`

  - ### createCreatePropertiesResponse

    public CreatePropertiesResponse createCreatePropertiesResponse()
    Create an instance of `CreatePropertiesResponse`

  - ### createSetTemplateRequest

    public SetTemplateRequest createSetTemplateRequest()
    Create an instance of `SetTemplateRequest`

  - ### createSetTemplateResponse

    public SetTemplateResponse createSetTemplateResponse()
    Create an instance of `SetTemplateResponse`

  - ### createApplyVdTemplateRequest

    public ApplyVdTemplateRequest createApplyVdTemplateRequest()
    Create an instance of `ApplyVdTemplateRequest`

  - ### createApplyVdTemplateResponse

    public ApplyVdTemplateResponse createApplyVdTemplateResponse()
    Create an instance of `ApplyVdTemplateResponse`

  - ### createGetTemplatesRequest

    public GetTemplatesRequest createGetTemplatesRequest()
    Create an instance of `GetTemplatesRequest`

  - ### createGetTemplatesResponse

    public GetTemplatesResponse createGetTemplatesResponse()
    Create an instance of `GetTemplatesResponse`

  - ### createGetTemplateFilterOptionsRequest

    public GetTemplateFilterOptionsRequest createGetTemplateFilterOptionsRequest()
    Create an instance of `GetTemplateFilterOptionsRequest`

  - ### createGetTemplateFilterOptionsResponse

    public GetTemplateFilterOptionsResponse createGetTemplateFilterOptionsResponse()
    Create an instance of `GetTemplateFilterOptionsResponse`

  - ### createGetFilteredTemplatesRequest

    public GetFilteredTemplatesRequest createGetFilteredTemplatesRequest()
    Create an instance of `GetFilteredTemplatesRequest`

  - ### createGetFilteredTemplatesResponse

    public GetFilteredTemplatesResponse createGetFilteredTemplatesResponse()
    Create an instance of `GetFilteredTemplatesResponse`

  - ### createGetVDTemplatesRequest

    public GetVDTemplatesRequest createGetVDTemplatesRequest()
    Create an instance of `GetVDTemplatesRequest`

  - ### createGetVDTemplatesResponse

    public GetVDTemplatesResponse createGetVDTemplatesResponse()
    Create an instance of `GetVDTemplatesResponse`

  - ### createIsNoContentAuthorizedRequest

    public IsNoContentAuthorizedRequest createIsNoContentAuthorizedRequest()
    Create an instance of `IsNoContentAuthorizedRequest`

  - ### createIsNoContentAuthorizedResponse

    public IsNoContentAuthorizedResponse createIsNoContentAuthorizedResponse()
    Create an instance of `IsNoContentAuthorizedResponse`

  - ### createIsNoCreationProfileRequest

    public IsNoCreationProfileRequest createIsNoCreationProfileRequest()
    Create an instance of `IsNoCreationProfileRequest`

  - ### createIsNoCreationProfileResponse

    public IsNoCreationProfileResponse createIsNoCreationProfileResponse()
    Create an instance of `IsNoCreationProfileResponse`

  - ### createIsAFolderOrACabinetRequest

    public IsAFolderOrACabinetRequest createIsAFolderOrACabinetRequest()
    Create an instance of `IsAFolderOrACabinetRequest`

  - ### createIsAFolderOrACabinetResponse

    public IsAFolderOrACabinetResponse createIsAFolderOrACabinetResponse()
    Create an instance of `IsAFolderOrACabinetResponse`

  - ### createGetUIMaxSizeRequest

    public GetUIMaxSizeRequest createGetUIMaxSizeRequest()
    Create an instance of `GetUIMaxSizeRequest`

  - ### createGetUIMaxSizeResponse

    public GetUIMaxSizeResponse createGetUIMaxSizeResponse()
    Create an instance of `GetUIMaxSizeResponse`

  - ### createHasAttachmentsRequest

    public HasAttachmentsRequest createHasAttachmentsRequest()
    Create an instance of `HasAttachmentsRequest`

  - ### createHasAttachmentsResponse

    public HasAttachmentsResponse createHasAttachmentsResponse()
    Create an instance of `HasAttachmentsResponse`

  - ### createHasAnyAttachmentsRequest

    public HasAnyAttachmentsRequest createHasAnyAttachmentsRequest()
    Create an instance of `HasAnyAttachmentsRequest`

  - ### createHasAnyAttachmentsResponse

    public HasAnyAttachmentsResponse createHasAnyAttachmentsResponse()
    Create an instance of `HasAnyAttachmentsResponse`

  - ### createRemoveAttachmentsRequest

    public RemoveAttachmentsRequest createRemoveAttachmentsRequest()
    Create an instance of `RemoveAttachmentsRequest`

  - ### createRemoveAttachmentsResponse

    public RemoveAttachmentsResponse createRemoveAttachmentsResponse()
    Create an instance of `RemoveAttachmentsResponse`

  - ### createGetImportStructureConfigsRequest

    public GetImportStructureConfigsRequest createGetImportStructureConfigsRequest()
    Create an instance of `GetImportStructureConfigsRequest`

  - ### createGetImportStructureConfigsResponse

    public GetImportStructureConfigsResponse createGetImportStructureConfigsResponse()
    Create an instance of `GetImportStructureConfigsResponse`

  - ### createGetConvertStructureConfigRequest

    public GetConvertStructureConfigRequest createGetConvertStructureConfigRequest()
    Create an instance of `GetConvertStructureConfigRequest`

  - ### createGetConvertStructureConfigResponse

    public GetConvertStructureConfigResponse createGetConvertStructureConfigResponse()
    Create an instance of `GetConvertStructureConfigResponse`